Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 225777 - net-dialup/linux-atm-2.5.0 stabilization request
Summary: net-dialup/linux-atm-2.5.0 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Dialup Developers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: gcc-4.3-stable
  Show dependency tree
 
Reported: 2008-06-10 17:25 UTC by Alin Năstac (RETIRED)
Modified: 2008-11-30 21:36 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin Năstac (RETIRED) gentoo-dev 2008-06-10 17:25:53 UTC
Please mark it stable for your arch.
Comment 1 nixnut (RETIRED) gentoo-dev 2008-06-14 13:19:18 UTC
ppc stable
Comment 2 Tobias Klausmann gentoo-dev 2008-06-15 10:51:46 UTC
Since we don't have the necessary hardware, I dropped all stable keywords for linux-atm and USE-masked "atm" for ppp and iproute2. If noone objects withing 30 days, we'll drop the keyword entirely.
Comment 3 Jeroen Roovers gentoo-dev 2008-06-17 01:12:28 UTC
(In reply to comment #2)
> Since we don't have the necessary hardware, I dropped all stable keywords [..]

Seems a bit harsh.

Stable for HPPA.
Comment 4 Christian Faulhammer (RETIRED) gentoo-dev 2008-06-20 11:05:48 UTC
x86 stable
Comment 5 Markus Rothe (RETIRED) gentoo-dev 2008-06-21 19:46:20 UTC
ppc64 stable
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2008-06-22 15:30:36 UTC
ia64/sparc stable
Comment 7 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2008-08-22 02:24:24 UTC
@net-dialup team: Would you be fine with a compile only test on amd64? Alternatively, let me know how to test this without using dialup. thx
Comment 8 Alin Năstac (RETIRED) gentoo-dev 2008-08-22 05:57:16 UTC
Compile test is fine.
Comment 9 Markus Meier gentoo-dev 2008-08-22 21:40:20 UTC
amd64 stable
Comment 10 Grzegorz {NineX} Krzystek 2008-11-19 22:36:41 UTC
it fails to compile  on amd64 and x86
Making all in qgen
/var/tmp/portage/net-dialup/linux-atm-2.5.0/work/linux-atm-2.5.0/src/qgen/ql_y.y:435.13-14: $$ for the midrule at $5 of `tags' has no declared type
/var/tmp/portage/net-dialup/linux-atm-2.5.0/work/linux-atm-2.5.0/src/qgen/ql_y.y:436.13-14: $$ for the midrule at $5 of `tags' has no declared type
/var/tmp/portage/net-dialup/linux-atm-2.5.0/work/linux-atm-2.5.0/src/qgen/ql_y.y:478.13-14: $$ for the midrule at $5 of `rep_tags' has no declared type
/var/tmp/portage/net-dialup/linux-atm-2.5.0/work/linux-atm-2.5.0/src/qgen/ql_y.y:479.13-14: $$ for the midrule at $5 of `rep_tags' has no declared type
make[3]: *** [ql_y.c] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
Comment 11 Alin Năstac (RETIRED) gentoo-dev 2008-11-30 21:36:08 UTC
As I said in bug 247981, sys-devel/bison-2.4-r1 is to blame for the behavior exposed in comment 10.

Since all previously stable keywords were updated in linux-atm-2.5.0, I'm closing this bug as FIXED.